aboutsummaryrefslogtreecommitdiffstats
path: root/testing/rtapd/rtapd.initd
diff options
context:
space:
mode:
authorMichael Mason <ms13sp@gmail.com>2010-03-30 15:15:18 +0000
committerMichael Mason <ms13sp@gmail.com>2010-03-30 15:15:18 +0000
commit3beeaef56aeb6a5731185d9d26a8b5230d59a661 (patch)
tree6ed5a7c260437886727613b2d9189f5cd2fc9a1d /testing/rtapd/rtapd.initd
parent75d7d985d22cb30d79c0f0b1dc187d2b01fcfbfc (diff)
downloadaports-3beeaef56aeb6a5731185d9d26a8b5230d59a661.tar.bz2
aports-3beeaef56aeb6a5731185d9d26a8b5230d59a661.tar.xz
testing/rtapd added. Makefile support postgres
Diffstat (limited to 'testing/rtapd/rtapd.initd')
-rw-r--r--testing/rtapd/rtapd.initd20
1 files changed, 20 insertions, 0 deletions
diff --git a/testing/rtapd/rtapd.initd b/testing/rtapd/rtapd.initd
new file mode 100644
index 0000000000..01fce242a6
--- /dev/null
+++ b/testing/rtapd/rtapd.initd
@@ -0,0 +1,20 @@
+#!/sbin/runscript
+# Copyright 1999-2007 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+DAEMON=/usr/sbin/rtapd
+USER=rtnppd
+
+start() {
+ ebegin "Starting $(basename $DAEMON)"
+ start-stop-daemon --start --user ${USER} --exec ${DAEMON} \
+ -- -C /etc/rtnppd/rtapd.conf ${RTAPD_OPTS}
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping $(basename $DAEMON)"
+ start-stop-daemon --stop --exec ${DAEMON}
+ eend $?
+}